Skip to main content
Jump to: navigation, search

Xpand/Project Plan

< Xpand
Revision as of 06:18, 17 October 2013 by Karsten.thoms.karakun.com (Talk | contribs) (Current Releases)

Reimplementation based on EMF Xtext and Xbase called Xtend 2[1] starts on December 2010. For more information, check out EclipseCon 2011 submission on Xtend 2 Tutorial.

Current Releases

Current releases are available in Xpand download page.

  • Version 1.4.0 was released on 2013/06/26 (Eclipse Kepler)
  • Version 1.3.0 was released on 2013/02/26
  • Version 1.2.0 was released on 2012/06/27 (Eclipse Juno)
  • Version 1.1.0 was released on 2011/06/22 (Eclipse Indigo)
  • Version 1.0.1 was released on 2010/08/25 (Eclipse Helios)

Compatibility

Please note that the Xpand development team does its best to maintain downward compatibility towards Galileo (Eclipse 3.5). Following is the compatibility chart :

Xpand Eclipse 4.3 - EMF 2.9 Eclipse 4.2 - EMF 2.8 Eclipse 3.8 - EMF 2.8 Eclipse 3.7 - EMF 2.7 Eclipse 3.6 - EMF 2.6 Eclipse 3.5 - EMF 2.5
2.0 1) 1) 1)
1.4
1.3
1.2
1.1
1.0

1) Xpand Incremental: EMF Compare 2.1 requires EMF 2.8
Xpand UML2 Typesystem: When using EMF UML2 4.x, EMF 2.8 is required

More Information

  1. Xtend 2 announcement blog post

Back to the top